org.apache.ignite.internal.processors.platform.lifecycle

## Class PlatformLifecycleBean

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.lifecycle.PlatformLifecycleBean

All Implemented Interfaces:
  LifecycleBean

Direct Known Subclasses:
  PlatformDotNetLifecycleBean

    public class PlatformLifecycleBean
    extends Object
    implements LifecycleBean

Lifecycle aware bean for interop.

### Field Summary

Fields
`PlatformCallbackGateway` `gate` Native gateway.
`long` `ptr` Holder pointer.

### Constructor Summary

Constructors
`protected` `PlatformLifecycleBean()` Constructor.
`` `PlatformLifecycleBean(PlatformCallbackGateway gate, long ptr)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize(PlatformCallbackGateway gate, long ptr)` Set pointers.
`void` `onLifecycleEvent(LifecycleEventType evt)` This method is called when lifecycle event occurs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### gate

    public PlatformCallbackGateway gate

Native gateway.

#### ptr

    public long ptr

Holder pointer.

### Constructor Detail

#### PlatformLifecycleBean

    protected PlatformLifecycleBean()

Constructor.

#### PlatformLifecycleBean

    public PlatformLifecycleBean(PlatformCallbackGateway gate,
                                 long ptr)

Constructor.

Parameters:
  `gate` - Native gateway.
  `ptr` - Holder pointer.

### Method Detail

#### onLifecycleEvent

    public void onLifecycleEvent(LifecycleEventType evt)

This method is called when lifecycle event occurs.

Specified by:
  `onLifecycleEvent` in interface `LifecycleBean`
Parameters:
  `evt` - Lifecycle event.

#### initialize

    public void initialize(PlatformCallbackGateway gate,
                           long ptr)

Set pointers.

Parameters:
  `gate` - Native gateway.
  `ptr` - Target pointer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021